Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Out_Var_Size_SArgument_T< S, S_var > Class Template Reference

Template class for OUT skeleton argument of fixed size IDL types. More...

`#include <Var_Size_SArgument_T.h>`

Inheritance diagram for TAO::Out_Var_Size_SArgument_T< S, S_var >:

[legend]
Collaboration diagram for TAO::Out_Var_Size_SArgument_T< S, S_var >:

[legend]
List of all members.

## Public Methods
| Out_Var_Size_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
S *& | arg (void)
## Private Attributes
S_var | x_

## Detailed Description

### template<typename S, typename S_var>
class TAO::Out_Var_Size_SArgument_T< S, S_var >

Template class for OUT skeleton argument of fixed size IDL types.

## Constructor & Destructor Documentation

template<typename S, typename S_var>
ACE_INLINE TAO::Out_Var_Size_SArgument_T< S, S_var >::Out_Var_Size_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename S_var>
S *& TAO::Out_Var_Size_SArgument_T< S, S_var >::arg | ( | void |  | ) |

template<typename S, typename S_var>
void TAO::Out_Var_Size_SArgument_T< S, S_var >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_var>
CORBA::Boolean TAO::Out_Var_Size_SArgument_T< S, S_var >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename S_var>
S_var TAO::Out_Var_Size_SArgument_T< S, S_var >::x_`[private]`

The documentation for this class was generated from the following files:

- Var_Size_SArgument_T.h
- Var_Size_SArgument_T.cpp
- Var_Size_SArgument_T.inl